
IF NOT EXISTS (SELECT * FROM  SYSOBJECTS
      WHERE SYSOBJECTS.name = 'TSKRSVENTILATORMODU') 

BEGIN

CREATE TABLE [dbo].[TSKRSVENTILATORMODU](
	[VENTILATORMODUKODU] [int] NOT NULL,
	[VENTILATORMODUADI] [nvarchar](100) NULL,
	[DURUM] [bit] NULL
 CONSTRAINT [PK_VENTILATORMODUKODU] PRIMARY KEY CLUSTERED 
(
	[VENTILATORMODUKODU] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO
IF NOT EXISTS (SELECT * FROM TSKRSVENTILATORMODU WHERE VENTILATORMODUKODU = 1 AND VENTILATORMODUADI = 'VC (Volume Control = Volüm Kontrollü)') 
	INSERT INTO TSKRSVENTILATORMODU (VENTILATORMODUKODU,VENTILATORMODUADI,DURUM) VALUES(1,'VC (Volume Control = Volüm Kontrollü)',1)
IF NOT EXISTS (SELECT * FROM TSKRSVENTILATORMODU WHERE VENTILATORMODUKODU = 2 AND VENTILATORMODUADI = 'PCV (Pressure Control Volume = Basınç Kontrollü Volüm)') 
	INSERT INTO TSKRSVENTILATORMODU (VENTILATORMODUKODU,VENTILATORMODUADI,DURUM) VALUES(2,'PCV (Pressure Control Volume = Basınç Kontrollü Volüm)',1)

IF NOT EXISTS (SELECT * FROM TSKRSVENTILATORMODU WHERE VENTILATORMODUKODU = 3 AND VENTILATORMODUADI = 'SIMV (Synchronized İntermittent Mandatory Volume = Senkronize Aralıklı Zorunlu Volüm)') 
	INSERT INTO TSKRSVENTILATORMODU (VENTILATORMODUKODU,VENTILATORMODUADI,DURUM) VALUES(3,'SIMV (Synchronized İntermittent Mandatory Volume = Senkronize Aralıklı Zorunlu Volüm)',1)

IF NOT EXISTS (SELECT * FROM TSKRSVENTILATORMODU WHERE VENTILATORMODUKODU = 4 AND VENTILATORMODUADI = 'CPAP (Continuous Positive Airway Pressure=Sürekli Pozitif Hava Yolu Basıncı)') 
	INSERT INTO TSKRSVENTILATORMODU (VENTILATORMODUKODU,VENTILATORMODUADI,DURUM) VALUES(4,'CPAP (Continuous Positive Airway Pressure=Sürekli Pozitif Hava Yolu Basıncı)',1)
IF NOT EXISTS (SELECT * FROM TSKRSVENTILATORMODU WHERE VENTILATORMODUKODU = 5 AND VENTILATORMODUADI = 'BIPAP (Bi-Level Positive Airway Pressure= İki Seviyeli Pozitif Havayolu Basıncı)') 
	INSERT INTO TSKRSVENTILATORMODU (VENTILATORMODUKODU,VENTILATORMODUADI,DURUM) VALUES(5,'BIPAP (Bi-Level Positive Airway Pressure= İki Seviyeli Pozitif Havayolu Basıncı)',1)

